# Class RxapFirebaseMessagingService

- Defined in lib/firebase-messaging.service.ts:25

#####
Index

### Constructors

constructor

### Properties

messaging
requestPermissionImminently
token$

### Methods

requestPermission
showNotification

## Constructors

### constructor

- new RxapFirebaseMessagingService(messaging, requestPermissionImminently?): RxapFirebaseMessagingService

- #### Parameters

  - messaging: AngularFireMessaging
  - requestPermissionImminently: boolean = false

  #### Returns RxapFirebaseMessagingService

  - Defined in lib/firebase-messaging.service.ts:28

## Properties

### `Readonly` messaging

messaging: AngularFireMessaging

- Defined in lib/firebase-messaging.service.ts:30

### `Readonly` requestPermissionImminently

requestPermissionImminently: boolean = false

- Defined in lib/firebase-messaging.service.ts:33

### token$

token$: ReplaySubject<string> = ...

- Defined in lib/firebase-messaging.service.ts:26

## Methods

### requestPermission

- requestPermission(): void

- #### Returns void

  - Defined in lib/firebase-messaging.service.ts:50

### showNotification

- showNotification(title, body): void

- #### Parameters

  - title: string
  - body: string

  #### Returns void

  - Defined in lib/firebase-messaging.service.ts:63